\name{SOAP.logical}
\alias{SOAP.logical}
\title{Convert a SOAP logical value to S}
\description{
  This is a simple function that handles converting a
  boolean value given in SOAP to an S logical value.
  This operates on the value within the SOAP node
  (not the node itself).
  This  is different from 
  \code{\link[base]{as.logical}} only
  in that it handles
  "0" (i.e. a string).
}
\usage{
SOAP.logical(x)
}
\arguments{
  \item{x}{a string, or any S value that is to coerced to a logical value.}
}
\details{

}
\value{
 A logical value.
}
\references{
  \url{http://www.w3.org/TR/SOAP/}
  \url{http://www.omegahat.org/SSOAP},
  \url{http://www.omegahat.org/bugs}.
}
\author{Duncan Temple Lang <duncan@wald.ucdavis.edu>}

\seealso{
  \code{\link{fromSOAP}}  
  \code{\link{SOAPPrimitiveConverters}}
}

\examples{
\dontrun{
# Since not exported
 SOAP.logical("0")
 SOAP.logical("TRUE")
 SOAP.logical("FALSE")
}
}
\keyword{interface}
\keyword{connection}
