\name{parseSOAP}
\alias{parseSOAP}
\title{Parse XML message}
\description{
  This is a convenience function to parse the
  SOAP message returned from a server and retrieve
  the payload of the message as an XML tree in S.
}
\usage{
parseSOAP(xmlSource, header = FALSE, reduce = TRUE, ...)
}
\arguments{
  \item{xmlSource}{an string giving the name of an file or URL
    containing the XML content, or a string containing the XML content itself.}
  \item{header}{ignored}
  \item{reduce}{a logical value indicating whether to return
    the top-most XML node of the Body or to return
    the entire XML tree read from \code{xmlSource}.
    If this is true, we find the Body node and return its
    first child.}
  \item{\dots}{arguments that are passed directly to
  \code{\link[XML]{xmlTreeParse}} without being processed by this function.}
}
\value{
 An \code{XMLNode} object.
}
\references{
  \url{http://www.w3.org/TR/SOAP/}
  \url{http://www.omegahat.org/SSOAP},
  \url{http://www.omegahat.org/bugs}.
}
\author{Duncan Temple Lang <duncan@wald.ucdavis.edu>}
\seealso{
\code{\link{fromSOAP}}
}

\examples{

}
\keyword{interface}
\keyword{connection}
