\name{toSOAP}
\alias{toSOAP}
\alias{toSOAP,vector,ANY,NULL-method}
\alias{toSOAP,vector,ANY,PrimitiveSOAPType-method}
\alias{toSOAP,vector,ANY,SOAPType-method}
\alias{toSOAP,list,ANY,NULL-method}
\alias{toSOAP,ANY,ANY,ArrayType-method}
\alias{toSOAP,ANY,ANY,ClassDefinition-method}
\title{Convert S object to SOAP format}
\description{
  This converts an S object to its SOAP representation,
  writing it out to a connection.
}
\usage{
toSOAP(obj, con = xmlOutputBuffer(header = ""), type = NULL,
       literal = FALSE, ...)
}
\arguments{
  \item{obj}{the S object to be described in SOAP format}
  \item{con}{the connection on which to write the SOAP representation,
    usually a connection to a SOAP server.}
  \item{type}{}
  \item{literal}{}
  \item{...}{}
}
\value{
  The side-effect of writing the representation to the
  connection is the important aspect of this.
}
\references{
  \url{http://www.w3.org/TR/SOAP/}
  \url{http://www.omegahat.org/SSOAP},
  \url{http://www.omegahat.org/bugs}.
}
\author{Duncan Temple Lang <duncan@wald.ucdavis.edu>}

\seealso{
\code{\link{.SOAP}}
}

\examples{
}
\keyword{interface}
\keyword{connection}
