\name{xmlRPCResult}
\alias{xmlRPCResult}
\alias{xmlRPCHandlers}
\title{Process result from XML-RPC request}
\description{
  This function is used to process the response from a
  method invocation via XML-RPC to a remote server.
  This converts the result contained in the XML response
  into either a regular R value or a \code{XMLRPCError} object
  which contains a diagnostic error message and error code.

  \code{xmlRPCHandlers} is a collection of XML-to-R converters for processing the
  XML nodes in the method response into the corresponding R values.
  One can call this function and then replace individual entries with
  one's own specialized methods.
}
\usage{
xmlRPCResult(txt, handlers = xmlRPCHandlers(call), simplify = TRUE, call = sys.call())
xmlRPCHandlers(call)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{txt}{the XML content returned from the method invocation.}
  \item{handlers}{a}
  \item{simplify}{a logical value indicating whether to simplify the
    result when it is a list of length 1, i.e. to return just the child
    element.  This is convenient for interactive use, but ensuring that
    one gets back a predictable type for the result is more useful in
    programmatic use.}
  \item{call}{the R command/expression associated with the XML-RPC request so that
    this can be added to the \code{XMLRPCError} if an exception is
    raised by the server. This is typically not specified by the caller,
    but the default value works appropriately.}
}
\details{

}
\value{

}
\references{
  \url{http://www.omegahat.org/SSOAP}
  \url{http://www.xmlrpc.com/spec}  
}
\author{Duncan Temple Lang <duncan@wald.ucdavis.edu>}

\seealso{
  \code{\link{.XMLRPC}}
  \code{\link[XML]{xmlTreeParse}}  
}
\examples{

}
\keyword{IO}
\keyword{programming}
\concept{XML-RPC}
\concept{Client-Server}
\concept{Web Services}
\concept{Distributed Computing}
